mscorlib 4.0.0.0 System.ValueType System.Runtime.CompilerServices.ICriticalNotifyCompletion

This type and its members are intended for use by the compiler.

Provides an object that waits for the completion of an asynchronous task.

- Method
  4.0.0.0
  System.Void

  This type and its members are intended for use by the compiler.

  Ends the wait for the completion of the asynchronous task.

- Property
  4.0.0.0
  System.Boolean To be added.

  This type and its members are intended for use by the compiler.

  Gets a value that indicates whether the asynchronous task has completed.

- Method
  4.0.0.0
  System.Void ``

  This type and its members are intended for use by the compiler.

  Sets the action to perform when the object stops waiting for the asynchronous task to complete.

  The action to perform when the wait operation completes.
- Method
  4.0.0.0
  System.Void `` To be added.

  Schedules the continuation action for the asynchronous task that is associated with this awaiter.

  The action to invoke when the await operation completes.